Subject: Re: bug#43457: 28.0.50; [FEATURE][PATCH] cperl-mode: Add value "PBP" to cperl-set-style

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 17 Sep 2020 17:35:58 +0200

Harald Jörg <[email-masked]> writes:

> This is not a bug report, but a feature request.  If I understand
> correctly, both go through the same channel.

Yup.

> The attached patch adds the new value "PBP" to the style selection and
> to the documentation, and also contains a simple formatting test
> according to these rules.

Looks great!  Applied to Emacs 28.

> I also added some lines to etc/NEWS, but I'm unsure about the handling
> of "---" to indicate that the change is not relevant to the manual:
> There is no texinfo manual for CPerl mode, so maybe "---" should be
> added before the heading "CPerl Mode"?

Yup; I did so before committing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no